glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.18

Member Gio::content_type_guess_for_tree (const Glib::RefPtr< const File >& root)
Member Gio::DesktopAppInfo::create_from_keyfile (Glib::KeyFile& key_file)
Member Gio::Emblem::get_icon ()
  Returns
    A Icon. The returned object belongs to the emblem and should not be modified or freed.
Member Gio::Emblem::get_icon () const
  Returns
    A Icon. The returned object belongs to the emblem and should not be modified or freed.
Member Gio::Emblem::get_origin () const
  Returns
    The origin of the emblem.
Member Gio::EmblemedIcon::add_emblem (const Glib::RefPtr< Emblem >& emblem)
  Parameters

    emblem | A Emblem.

Member Gio::EmblemedIcon::get_emblems ()
  Returns
    A List of Emblems that is owned by emblemed.
Member Gio::EmblemedIcon::get_icon ()
  Returns
    A Icon that is owned by emblemed.
Member Gio::EmblemedIcon::get_icon () const
  Returns
    A Icon that is owned by emblemed.
Member Gio::File::make_directory_with_parents (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    `true` if all directories have been successfully created, `false` otherwise.
Member Gio::File::monitor (const Glib::RefPtr< Cancellable >& cancellable, FileMonitorFlags flags=FILE_MONITOR_NONE)
Member Gio::File::monitor (FileMonitorFlags flags=FILE_MONITOR_NONE)
Member Gio::File::query_file_type (FileQueryInfoFlags flags, const Glib::RefPtr< Cancellable >& cancellable) const
  Parameters

    flags | A set of FileQueryInfoFlags passed to g_file_query_info().
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    The FileType of the file and FILE_TYPE_UNKNOWN if the file does not exist.
Member Gio::File::query_file_type (FileQueryInfoFlags flags=FILE_QUERY_INFO_NONE) const
Member Gio::FileEnumerator::get_container ()
  Returns
    The File which is being enumerated.
Member Gio::FileEnumerator::get_container () const
  Returns
    The File which is being enumerated.
Member Gio::MemoryOutputStream::get_data_size () const
  Returns
    The number of bytes written to the stream.
Member Gio::Mount::guess_content_type (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, bool force_rescan=true)
Member Gio::Mount::guess_content_type (const SlotAsyncReady& slot, bool force_rescan=true)
Member Gio::Mount::guess_content_type (bool force_rescan=true)
Member Gio::Mount::guess_content_type_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | An AsyncResult.

  Returns
    An array of content types.
  Exceptions

    Glib::Error |

Member Gio::ThemedIcon::prepend_name (const std::string& iconname)
  Parameters

    iconname | Name of icon to prepend to list of icons from within icon.

Member Gio::Volume::get_activation_root ()
  Returns
    The activation root of volume or `0`. Use Glib::object_unref() to free.
Member Gio::Volume::get_activation_root () const
  Returns
    The activation root of volume or `0`. Use Glib::object_unref() to free.
Member Gio::VolumeMonitor::signal_drive_eject_button ()
Member Glib::Checksum::reset ()
Member Glib::Date::Date (const GDate& castitem)
Member Glib::Date::Date (const Date& other)
Member Glib::Date::operator= (const Date& other)
Member Glib::get_system_config_dirs ()
Member Glib::get_system_data_dirs ()
Class Glib::NodeTree< T >